# CEGUI::WindowProperties::AbsoluteMaxSize Class Reference

Property to access maximum window size. More...

Inheritance diagram for CEGUI::WindowProperties::AbsoluteMaxSize:

[legend]
Collaboration diagram for CEGUI::WindowProperties::AbsoluteMaxSize:

[legend]
List of all members.

## Public Member Functions

String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.
bool | isDefault (const PropertyReceiver *receiver) const
| Returns whether the property is at it's default value.
String | getDefault (const PropertyReceiver *receiver) const
| Returns the default value of the Property as a String.

## Detailed Description

Property to access maximum window size.

This property offers access to the maximum size setting for the window, using absolute screen pixel metrics.

Usage:
  - Name: AbsoluteMaxSize
  - Format: "w:[float] h:[float]".

Where:
  - w:[float] specifies the maximum width as a floating point number.
  - h:[float] specifies the maximum height as a floating point number.

## Member Function Documentation

String CEGUI::WindowProperties::AbsoluteMaxSize::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

String CEGUI::WindowProperties::AbsoluteMaxSize::getDefault | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Returns the default value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the default value for this property.

Reimplemented from CEGUI::Property.

bool CEGUI::WindowProperties::AbsoluteMaxSize::isDefault | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Returns whether the property is at it's default value.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  - true if the property has it's default value.
  - false if the property has been modified from it's default value.

Reimplemented from CEGUI::Property.

void CEGUI::WindowProperties::AbsoluteMaxSize::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.